Computer Security
[EN] securityvulns.ru no-pyccku


hybrid and ratbox IRC servers multiple security vulnerabilities
Published:28.01.2010
Source:
SecurityVulns ID:10561
Type:remote
Threat Level:
5/10
Description:LINKS command, integer overflow, HELP command DoS.
Affected:RATBOX : ratbox 2.2
 HYBRID : hybrid 7.2
CVE:CVE-2010-0300 (cache.c in ircd-ratbox before 2.2.9 allows remote attackers to cause a denial of service (NULL pointer dereference and daemon crash) via a HELP command.)
 CVE-2009-4016 (Integer underflow in the clean_string function in irc_string.c in (1) IRCD-hybrid 7.2.2 and 7.2.3, (2) ircd-ratbox before 2.2.9, and (3) oftc-hybrid before 1.6.8, when flatten_links is disabled, allows remote attackers to execute arbitrary code or cause a denial of service (daemon crash) via a LINKS command.)
Original documentdocumentDEBIAN, [SECURITY] [DSA 1980-1] New ircd-hybrid/ircd-ratbox packages fix arbitrary code execution (28.01.2010)

About | Terms of use | Privacy Policy
© SecurityVulns, 3APA3A, Vladimir Dubrovin
Nizhny Novgorod